Skip to main content
GET
Get Schedule

Path Parameters

agent_id
string
required
schedule_name
string
required

Response

Successful Response

Response model for schedule operations

schedule_id
string
required

Unique identifier for the schedule

name
string
required

Human-readable name for the schedule

agent_id
string
required

ID of the agent this schedule belongs to

state
enum<string>
required

Current state of the schedule

Available options:
ACTIVE,
PAUSED
action
Action · object
required

Information about the scheduled action

spec
Spec · object
required

Schedule specification

num_actions_taken
integer
default:0

Number of times the schedule has executed

num_actions_missed
integer
default:0

Number of scheduled executions that were missed

next_action_times
string<date-time>[]

Upcoming scheduled execution times

last_action_time
string<date-time> | null

When the schedule last executed

created_at
string<date-time> | null

When the schedule was created